Wind River Support Network

HomeOther Downloads

Other Downloads

Other downloads refer to patches, RCPLs, BSPs, drivers, service packs, sample codes, update packs, networking migration patches, and miscellaneous that are provided by Wind River.

Reset
Showing
of 1211 entries
NameTypeRequirementSummaryProductsRelease DateLast Modify Date
Linux Patches For OCD Support Patch Recommended Linux Patches For OCD Support Linux Platforms 1.x Jun 8, 2007 Jun 8, 2007
Patch for Security Issue: Integer overflow in the get_fdb_entries function in net/bridge/br_ioctl.c - CVE-2006-5751 (for Wind River Linux 1.5) Patch Recommended Patch for Security Issue: Integer overflow in the get_fdb_entries function in net/bridge/br_ioctl.c - CVE-2006-5751 Linux Platforms 1.x Sep 25, 2007 Sep 25, 2007
Patch for the Security Issue: Linux Kernel - IPv6 Routing - CVE-2007-2242 (for Wind River Linux 1.5) Patch Recommended Patch for the Security Issue: Linux Kernel - IPv6 Routing - CVE-2007-2242 Linux Platforms 1.x Sep 25, 2007 Sep 25, 2007
Patch for the Security Issue: Linux Kernel - IPv6 Routing - CVE-2007-2242 (for Wind River Linux 1.3) Patch Recommended Patch for the Security Issue: Linux Kernel - IPv6 Routing - CVE-2007-2242 Linux Platforms 1.x Sep 27, 2007 Sep 27, 2007
Patch for the Security Issue: Linux Kernel - IPv6 Routing - CVE-2007-2242 (for Wind River Linux 1.4) Patch Recommended Patch for the Security Issue: Linux Kernel - IPv6 Routing - CVE-2007-2242 Linux Platforms 1.x Sep 27, 2007 Sep 27, 2007
Patch for Security Issue: Integer overflow in the get_fdb_entries function in net/bridge/br_ioctl.c - CVE-2006-5751 (for Wind River Linux 1.3) Patch Recommended Patch for Security Issue: Integer overflow in the get_fdb_entries function in net/bridge/br_ioctl.c - CVE-2006-5751 Linux Platforms 1.x Sep 27, 2007 Sep 27, 2007
Patch for Security Issue: Integer overflow in the get_fdb_entries function in net/bridge/br_ioctl.c - CVE-2006-5751 (for Wind River Linux 1.4) Patch Recommended Patch for Security Issue: Integer overflow in the get_fdb_entries function in net/bridge/br_ioctl.c - CVE-2006-5751 Linux Platforms 1.x Sep 27, 2007 Sep 27, 2007
Fixing known vulenarbilities in OpenSSH in WRLinux1.2 Patch Recommended Fixing known vulenarbilities in OpenSSH in WRLinux1.2 Linux Platforms 1.x Jan 23, 2008 Jan 23, 2008
Fixes to security issues CVE-2006-1857 and CVE-2006-1858, Patch Recommended Fixes to security issues CVE-2006-1857 and CVE-2006-1858, Linux Platforms 1.x Jan 30, 2008 Jan 30, 2008
Fixes to security issues CVE-2006-1857 and CVE-2006-1858 Patch Recommended Fixes to security issues CVE-2006-1857 and CVE-2006-1858 Linux Platforms 1.x Jan 30, 2008 Jan 30, 2008
CVE-2008-0007 Security Fix Patch Recommended linux kernel - CVE-2008-0007
Fix available for 1.4 and 1.5
Linux Platforms 2.0 Mar 20, 2008 Mar 20, 2008
Service Pack 1 for Wind River Linux 2.0 Patch Recommended Click here to go to download page Linux Platforms 2.0 Apr 14, 2008 Apr 14, 2008
Security Advisory MySQL - CVE-2007-5925 Patch Recommended Security Advisory MySQL - CVE-2007-5925 Linux Platforms 1.x Apr 21, 2008 Apr 21, 2008
Buffer overflow in perl 5.8 - CVE-2007-5116 Patch Recommended Buffer overflow in perl 5.8 - CVE-2007-5116
Fix available 1.4, 1.5 & 2.0
Linux Platforms 2.0 Apr 22, 2008 Apr 22, 2008
Executing "make -C build postgresql" error. Patch Recommended report can't find tclConfig.sh and include directory for python isn't ok. Linux Platforms 2.0 Apr 23, 2008 Apr 23, 2008
krb5 - security advisory - CVE-2008-0948 Patch Recommended krb5 - security advisory - CVE-2008-0947 CVE-2008-0948 Linux Platforms 2.0 Apr 24, 2008 Apr 24, 2008
rsync before 3.0.0pre6 - CVE-2007-6199 Patch Recommended rsync before 3.0.0pre6 - CVE-2007-6199
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 2.0 Apr 24, 2008 Apr 24, 2008
Security Advisory - Python 2.5.2 and earlier ones - CVE-2008-1721 Patch Recommended Security Advisory - Python 2.5.2 and earlier ones - CVE-2008-1721
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 2.0 Apr 25, 2008 Apr 25, 2008
Security Advisory - Linux Kernel - CVE-2008-1375 Patch Recommended Security Advisory - Linux Kernel - CVE-2008-1375
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 May 7, 2008 May 7, 2008
Service Pack 1 for Workbench 3.0 Patch Recommended Click here to go to download page Linux Platforms 2.0 May 9, 2008 May 9, 2008
List corruption in ipmi_msghandler may cause crash on Wind River Linux 1.4 Patch Recommended List corruption in ipmi_msghandler may cause crash on Wind River Linux 1.4 Linux Platforms 1.x Jun 2, 2008 Jun 2, 2008
Security Advisory - SMP ordering hole in fcntl_setlk() - CVE-2008-1669 Patch Recommended Kernel issue- SMP ordering hole in fcntl_setlk() - CVE-2008-1669
Patches available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jun 10, 2008 Jun 10, 2008
Security Advisory-pcre before 7.3 vulnerability Patch Recommended Security Advisory-pcre before 7.3 vulnerability
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0, Linux 3 Jun 10, 2008 Jun 10, 2008
Security Advisory - net-snmp - CVE-2008-0960 (for Wind River Linux 1.5) Patch Recommended Security Advisory - net-snmp - CVE-2008-0960 Linux Platforms 1.x Jun 13, 2008 Jun 13, 2008
Security Advisory - net-snmp - CVE-2008-0960 (for Wind River Linux 1.4) Patch Recommended Security Advisory - net-snmp - CVE-2008-0960 Linux Platforms 1.x Jun 13, 2008 Jun 13, 2008
Common_pc_64 README is incorrect Patch Recommended Correct the error description in common_pc_64 bsp README Linux Platforms 2.0 Jun 17, 2008 Jun 17, 2008
Security Advisory - PCRE - CVE-2008-2371 Patch Recommended Security Advisory - PCRE - CVE-2008-2371
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 1, 2008 Jul 1, 2008
The patch comes from qemu 0.9.1 to fix CVE-2007-1321 Patch Recommended The patch comes from qemu 0.9.1 to fix CVE-2007-1321
Fix available for 1.4 & 1.5
Linux Platforms 1.x, Linux Platforms 2.0 Jul 2, 2008 Jul 2, 2008
Security Advisory - Bind - CVE-2008-1447 (for Wind River Linux 1.4) Patch Recommended Security Advisory - Bind - CVE-2008-1447 Linux Platforms 1.x Jul 8, 2008 Jul 8, 2008
Security Advisory - Bind - CVE-2008-1447 (for Wind River Linux 1.5) Patch Recommended Security Advisory - Bind - CVE-2008-1447 Linux Platforms 1.x Jul 8, 2008 Jul 8, 2008
X86_64: avoid EBDA area overlap and fix bad_addr checking Patch Recommended X86_64: avoid EBDA area overlap and fix bad_addr checking Linux Platforms 1.x Jul 8, 2008 Jul 8, 2008
Security Advisory - libpng - CVE-2007-5267 CVE-2007-5266 Patch Recommended Security Advisory - libpng - CVE-2007-5267 CVE-2007-5266 Fix available for 1.4 and 1.5 Linux Platforms 1.x Jul 8, 2008 Jul 8, 2008
Security Advisory - OpenLDAP - CVE-2007-6698 Patch Recommended Security Advisory - OpenLDAP - CVE-2007-6698 Fix available for 2.0 Linux Platforms 2.0 Jul 8, 2008 Jul 8, 2008
Security Advisory - Apache - CVE-2008-2168 Patch Recommended Security Advisory - Apache - CVE-2008-2168
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 8, 2008 Jul 8, 2008
Security Advisory - appache http server 2.0 - CVE-2007-6388 Patch Recommended Security Advisory - appache http server 2.0 - CVE-2007-6388
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 8, 2008 Jul 8, 2008
Security Advisory - Boost regex library - CVE-2008-0172 Patch Recommended Security Advisory - Boost regex library - CVE-2008-0172 Fix available for 2.0 Linux Platforms 2.0 Jul 8, 2008 Jul 8, 2008
Security Advisory - Linux kernel - CVE-2008-1615 Patch Recommended Security Advisory - Linux kernel - CVE-2008-1615
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 8, 2008 Jul 8, 2008
Security Advisory - Linux kernel -CVE-2008-2358 Patch Recommended Security Advisory - Linux kernel -CVE-2008-2358 Fix available for 2.0 Linux Platforms 2.0 Jul 8, 2008 Jul 8, 2008
Security Advisory - Linux kernel - CVE-2008-1673 Patch Recommended Security Advisory - Linux kernel - CVE-2008-1673 Fix available for 1.4 and 1.5, 2.0 Linux Platforms 2.0 Jul 14, 2008 Jul 14, 2008
Wind River Linux SNMP logs "error on subcontainer 'ia_addr' insert (-1)" periodically Patch Recommended Wind River Linux SNMP logs "error on subcontainer 'ia_addr' insert (-1)" periodically
Fix available for 1.4, 1.5
Linux Platforms 1.x, Linux Platforms 2.0 Jul 16, 2008 Jul 16, 2008
Security Advisory - Net-SNMP - CVE-2008-2292 Patch Recommended Security Advisory - Net-SNMP - CVE-2008-2292
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 16, 2008 Jul 16, 2008
Security Advisory - Linux Kernel - CVE-2008-2365 Patch Recommended Security Advisory - Linux Kernel - CVE-2008-2365
Fix available for 1.4 and 1.5
Linux Platforms 1.x, Linux Platforms 2.0 Jul 16, 2008 Jul 16, 2008
Vsftpd - security advisory - CVE-2008-2375 Patch Recommended Vsftpd - security advisory - CVE-2008-2375
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 16, 2008 Jul 16, 2008
CR Q01868077 dlsym returns pointer to 'Undefined' symbols preventing booting of Cavium blades for Wind River Linux 1.4 Patch Recommended CR Q01868077 dlsym returns pointer to 'Undefined' symbols preventing booting of Cavium blades for Wind River Linux 1.4 Linux Platforms 1.x Jul 23, 2008 Jul 23, 2008
In Wind River Linux 1.4 pthreads are not scheduled on multiple cores on Cavium Octeon cn38xx Patch Recommended In Wind River Linux 1.4 pthreads are not scheduled on multiple cores on Cavium Octeon cn38xx Linux Platforms 1.x Jul 23, 2008 Jul 23, 2008
Security Advisory - Linux Kernel - CVE-2008-2729 Patch Recommended Security Advisory - Linux Kernel - CVE-2008-2729
Fix available for 1.4 and 1.5
Linux Platforms 1.x Jul 30, 2008 Jul 30, 2008
Security Advisory - FreeType2 - CVE-2008-1807 Patch Recommended Security Advisory - FreeType2 - CVE-2008-1807
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 30, 2008 Jul 30, 2008
Security Advisory - FreeType2 - CVE-2008-1808 Patch Recommended Security Advisory - FreeType2 - CVE-2008-1808
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 30, 2008 Jul 30, 2008
Security Advisory - Linux kernel - CVE-2008-0598 Patch Recommended Security Advisory - Linux kernel - CVE-2008-0598
Fix available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Jul 30, 2008 Jul 30, 2008
Security Advisory - VIM - CVE-2008-2712 Patch Recommended Security Advisory - VIM - CVE-2008-2712
Fixes available for 1.4, 1.5 and 2.0
Linux Platforms 1.x, Linux Platforms 2.0 Aug 1, 2008 Aug 1, 2008
Live chat
Online